aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr
diff options
context:
space:
mode:
Diffstat (limited to 'config/hypr')
-rw-r--r--config/hypr/UserConfigs/UserDecorAnimations.conf4
-rwxr-xr-xconfig/hypr/UserScripts/RofiBeats.sh3
-rwxr-xr-xconfig/hypr/scripts/Hypridle.sh23
-rw-r--r--config/hypr/v2.3.6 (renamed from config/hypr/v2.3.5)0
4 files changed, 27 insertions, 3 deletions
diff --git a/config/hypr/UserConfigs/UserDecorAnimations.conf b/config/hypr/UserConfigs/UserDecorAnimations.conf
index 2885971a..88224473 100644
--- a/config/hypr/UserConfigs/UserDecorAnimations.conf
+++ b/config/hypr/UserConfigs/UserDecorAnimations.conf
@@ -57,6 +57,6 @@ animations {
animation = workspaces, 1, 5, overshot
# animations for -git or version >0.42.0
- #animation = workspacesIn, 1, 5, winIn, slide
- #animation = workspacesOut, 1, 5, winOut, slide
+ animation = workspacesIn, 1, 5, winIn, slide
+ animation = workspacesOut, 1, 5, winOut, slide
}
diff --git a/config/hypr/UserScripts/RofiBeats.sh b/config/hypr/UserScripts/RofiBeats.sh
index 26e12876..17ce645a 100755
--- a/config/hypr/UserScripts/RofiBeats.sh
+++ b/config/hypr/UserScripts/RofiBeats.sh
@@ -22,7 +22,8 @@ declare -A online_music=(
["YT - Relaxing Music 📹🎶"]="https://youtube.com/playlist?list=PLMIbmfP_9vb8BCxRoraJpoo4q1yMFg4CE"
["YT - Youtube Remix 📹🎶"]="https://youtube.com/playlist?list=PLeqTkIUlrZXlSNn3tcXAa-zbo95j0iN-0"
["YT - Korean Drama OST 📹🎶"]="https://youtube.com/playlist?list=PLUge_o9AIFp4HuA-A3e3ZqENh63LuRRlQ"
- ["YT - AfroBeatz 2024 📹"]="https://www.youtube.com/watch?v=7uB-Eh9XVZQ"
+ ["YT - AfroBeatz 2024 📹🎶"]="https://www.youtube.com/watch?v=7uB-Eh9XVZQ"
+ ["YT - Relaxing Piano Jazz Music 🎹🎶"]="https://youtu.be/85UEqRat6E4?si=jXQL1Yp2VP_G6NSn"
)
# Populate local_music array with files from music directory and subdirectories
diff --git a/config/hypr/scripts/Hypridle.sh b/config/hypr/scripts/Hypridle.sh
new file mode 100755
index 00000000..56176716
--- /dev/null
+++ b/config/hypr/scripts/Hypridle.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
+# This is for custom version of waybar idle_inhibitor which activates / deactivates hypridle instead
+
+PROCESS="hypridle"
+
+if [[ "$1" == "status" ]]; then
+ sleep 1
+ if pgrep -x "$PROCESS" >/dev/null; then
+ echo '{"text": "RUNNING", "class": "active", "tooltip": "idle_inhibitor NOT ACTIVE\nLeft Click: Activate\nRight Click: Lock Screen"}'
+ else
+ echo '{"text": "NOT RUNNING", "class": "notactive", "tooltip": "idle_inhibitor is ACTIVE\nLeft Click: Deactivate\nRight Click: Lock Screen"}'
+ fi
+elif [[ "$1" == "toggle" ]]; then
+ if pgrep -x "$PROCESS" >/dev/null; then
+ pkill "$PROCESS"
+ else
+ "$PROCESS"
+ fi
+else
+ echo "Usage: $0 {status|toggle}"
+ exit 1
+fi
diff --git a/config/hypr/v2.3.5 b/config/hypr/v2.3.6
index 31b3414d..31b3414d 100644
--- a/config/hypr/v2.3.5
+++ b/config/hypr/v2.3.6
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage